For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • GETList Device Registrations
      • POSTRegister Device for Push Notifications
      • GETGet a single Device Registration
      • DELDelete a Device Registration
      • GETList Push Notifications
      • POSTSend Push Notifications
      • GETFetch a Push Notification
      • GETList Push Notification Operations
      • GETFetch a Push Notification Operation
      • GETList Push Credentials
      • POSTCreate Push Credential
      • GETFetch a Push Credential
      • DELDelete a Push Credential
      • PATCHUpdate a Push Credential
      • GETList Push Notification Apps
      • GETFetch a Push Notification App
      • PATCHUpdate a Push Notification App
      • GETList Users
      • GETFetch a User
      • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Fetch a Push Notification

GET
https://comms.twilio.com/preview/PushNotifications/:pushNotificationId
GET
/preview/PushNotifications/:pushNotificationId
$curl https://comms.twilio.com/preview/PushNotifications/pushNotificationId \
> -u "<accountId>:<authToken>"
1{
2 "id": "comms_pushnotification_3de3vbxqx0aghtdy1jgf9qdteh",
3 "from": {
4 "fcm": "comms_credential_b554a2dc48d74ff03500c2a582349cad"
5 },
6 "to": {
7 "provider": "FCM",
8 "token": "dQvBnKpXmRtYwLzHjFsEuA:APA91bHNaWc-KdLePfQgShTiUjVk_WlXmYnZoApBqCr-DsEtFuGvHwIxJy_KzLaMbNcOdPeQfRgShTiUjVk-WlXmYnZoApBqCrDsEtFuGvHwIxJy_KzLaMbNcO"
9 },
10 "status": "SENT",
11 "createdAt": "2025-05-30T17:24:46Z",
12 "updatedAt": "2025-05-30T17:24:49Z",
13 "content": {
14 "title": "Limon Eats",
15 "body": "Your order is on the way!"
16 },
17 "priority": "HIGH",
18 "sound": null
19}

This operation fetches a single Push Notification using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Was this page helpful?
Previous

List Push Notification Operations

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

pushNotificationIdstringRequired

Response

OK
idstringformat: "^comms_pushnotification_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a PushNotification.
fromobject

The credentialId is used for authentication and authorization when sending the push notification through the respective channel.

toobject
The recipient of the Push Notification
statusenum

The status of a Push Notification resource. The status can be one of the following:

  • scheduled The Push Notification is scheduled to be sent by Twilio in the future.

  • queued The Push Notification is queued in Twilio for sending.

  • sent The Push Notification resource has been sent by Twilio.

  • failed The Push Notification resource processing failed inside Twilio. Use GET /PushNotifications/Operations/{operationId}/Errors for more details.

  • canceled The communication resource was canceled via API request.

Allowed values:
createdAtstringformat: "date-time"
The date and time when the Push Notification was created, in ISO 8601 format.
updatedAtstringformat: "date-time"
The date and time when the Push Notification was last updated, in ISO 8601 format.
contentobject
The content of the Push Notification.
appNamestringformat: "^[a-z0-9_]+$"1-64 characters

The name of the Push Notification App.

priorityenumDefaults to HIGH
The priority of the Push Notification. A value of "low" reduces the client app battery consumption. A value of "high" sends the notification immediately and can wake up a sleeping device.
Allowed values:
soundstring or null
The name of the sound to be played for the push notification.
relatedlist of objects
A list of resources that are associated with the Push Notification.
tagsmap from strings to strings

Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs.

This field can be templated with Liquid. Specify variables with each recipient for personalization.

scheduledForstring or nullformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error